query regarding error in installation of "goseq" R bioconductor package
0
0
Entering edit mode
abhisek001 • 0
@6d5973d2
Last seen 9 weeks ago
India

I am trying to install "goseq" Bioconductor package in Rstudio (version- RStudio 2022.07.2 Build 576 ) on my system I have installed R version- 4.2.2 I getting many error messages which are the following please help me.

* installing *source* package ‘Rhtslib’ ...
** using non-staged installation via StagedInstall field
** libs
cd "htslib-1.15.1" && make -f "Makefile.Rhtslib"
make[1]: Entering directory '/tmp/RtmplGFsh2/R.INSTALL33a74238d50d/Rhtslib/src/htslib-1.15.1'
gcc -g -O2 -fdebug-prefix-map=/build/r-base-a3XuZ5/r-base-4.2.2.20221110=. -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -fpic -fvisibility=hidden -I.  -D_FILE_OFFSET_BITS=64 -c -o kfunc.o kfunc.c
gcc -g -O2 -fdebug-prefix-map=/build/r-base-a3XuZ5/r-base-4.2.2.20221110=. -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -fpic -fvisibility=hidden -I.  -D_FILE_OFFSET_BITS=64 -c -o kstring.o kstring.c
gcc -g -O2 -fdebug-prefix-map=/build/r-base-a3XuZ5/r-base-4.2.2.20221110=. -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -fpic -fvisibility=hidden -I.  -D_FILE_OFFSET_BITS=64 -c -o bcf_sr_sort.o bcf_sr_sort.c
gcc -g -O2 -fdebug-prefix-map=/build/r-base-a3XuZ5/r-base-4.2.2.20221110=. -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -fpic -fvisibility=hidden -I.  -D_FILE_OFFSET_BITS=64 -c -o bgzf.o bgzf.c
gcc -g -O2 -fdebug-prefix-map=/build/r-base-a3XuZ5/r-base-4.2.2.20221110=. -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -fpic -fvisibility=hidden -I.  -D_FILE_OFFSET_BITS=64 -c -o errmod.o errmod.c
gcc -g -O2 -fdebug-prefix-map=/build/r-base-a3XuZ5/r-base-4.2.2.20221110=. -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -fpic -fvisibility=hidden -I.  -D_FILE_OFFSET_BITS=64 -c -o faidx.o faidx.c
gcc -g -O2 -fdebug-prefix-map=/build/r-base-a3XuZ5/r-base-4.2.2.20221110=. -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -fpic -fvisibility=hidden -I.  -D_FILE_OFFSET_BITS=64 -c -o header.o header.c
gcc -g -O2 -fdebug-prefix-map=/build/r-base-a3XuZ5/r-base-4.2.2.20221110=. -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -fpic -fvisibility=hidden -I.  -D_FILE_OFFSET_BITS=64 -c -o hfile.o hfile.c
echo '#define HTS_VERSION_TEXT "1.15.1"' > version.h
echo '#define HTS_CC "gcc"' > config_vars.h
echo '#define HTS_CPPFLAGS " -D_FILE_OFFSET_BITS=64"' >> config_vars.h
echo '#define HTS_CFLAGS "-g -O2 -fdebug-prefix-map=/build/r-base-a3XuZ5/r-base-4.2.2.20221110=. -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -fpic -fvisibility=hidden"' >> config_vars.h
echo '#define HTS_LDFLAGS "-Wl,-Bsymbolic-functions -Wl,-z,relro -fvisibility=hidden"' >> config_vars.h
echo '#define HTS_LIBS "-lz -lm -lbz2 -llzma -lcurl"' >> config_vars.h
gcc -g -O2 -fdebug-prefix-map=/build/r-base-a3XuZ5/r-base-4.2.2.20221110=. -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -fpic -fvisibility=hidden -I.  -D_FILE_OFFSET_BITS=64 -c -o hts.o hts.c
hts.c:46:10: fatal error: lzma.h: No such file or directory
   46 | #include <lzma.h>
      |          ^~~~~~~~
compilation terminated.
make[1]: *** [Makefile.Rhtslib:135: hts.o] Error 1
make[1]: Leaving directory '/tmp/RtmplGFsh2/R.INSTALL33a74238d50d/Rhtslib/src/htslib-1.15.1'
make: *** [Makevars.common:22: htslib] Error 2
ERROR: compilation failed for package ‘Rhtslib’
* removing ‘/home/omic/R/x86_64-pc-linux-gnu-library/4.2/Rhtslib’
ERROR: dependency ‘Rhtslib’ is not available for package ‘Rsamtools’
* removing ‘/home/omic/R/x86_64-pc-linux-gnu-library/4.2/Rsamtools’
ERROR: dependency ‘Rsamtools’ is not available for package ‘GenomicAlignments’
* removing ‘/home/omic/R/x86_64-pc-linux-gnu-library/4.2/GenomicAlignments’
ERROR: dependencies ‘Rsamtools’, ‘GenomicAlignments’ are not available for package ‘rtracklayer’
* removing ‘/home/omic/R/x86_64-pc-linux-gnu-library/4.2/rtracklayer’
ERROR: dependency ‘rtracklayer’ is not available for package ‘GenomicFeatures’
* removing ‘/home/omic/R/x86_64-pc-linux-gnu-library/4.2/GenomicFeatures’
ERROR: dependencies ‘rtracklayer’, ‘GenomicFeatures’ are not available for package ‘geneLenDataBase’
* removing ‘/home/omic/R/x86_64-pc-linux-gnu-library/4.2/geneLenDataBase’
ERROR: dependency ‘geneLenDataBase’ is not available for package ‘goseq’
* removing ‘/home/omic/R/x86_64-pc-linux-gnu-library/4.2/goseq’

The downloaded source packages are in
    ‘/tmp/RtmpDANqzq/downloaded_packages’
Installation paths not writeable, unable to update packages
  path: /usr/lib/R/library
  packages:
    boot, foreign, MASS, Matrix, spatial
Old packages: 'jpeg'
Update all/some/none? [a/s/n]: 
a
trying URL 'https://cloud.r-project.org/src/contrib/jpeg_0.1-10.tar.gz'
Content type 'application/x-gzip' length 18667 bytes (18 KB)
==================================================
downloaded 18 KB

* installing *source* package ‘jpeg’ ...
** package ‘jpeg’ successfully unpacked and MD5 sums checked
** using staged installation
** libs
gcc -I"/usr/share/R/include" -DNDEBUG      -fpic  -g -O2 -fdebug-prefix-map=/build/r-base-a3XuZ5/r-base-4.2.2.20221110=. -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2  -c read.c -o read.o
In file included from read.c:1:
rjcommon.h:11:10: fatal error: jpeglib.h: No such file or directory
   11 | #include <jpeglib.h>
      |          ^~~~~~~~~~~
compilation terminated.
make: *** [/usr/lib/R/etc/Makeconf:169: read.o] Error 1
ERROR: compilation failed for package ‘jpeg’
* removing ‘/home/omic/R/x86_64-pc-linux-gnu-library/4.2/jpeg’
* restoring previous ‘/home/omic/R/x86_64-pc-linux-gnu-library/4.2/jpeg’

The downloaded source packages are in
    ‘/tmp/RtmpDANqzq/downloaded_packages’
Warning messages:
1: In install.packages(...) :
  installation of package ‘Rhtslib’ had non-zero exit status
2: In install.packages(...) :
  installation of package ‘Rsamtools’ had non-zero exit status
3: In install.packages(...) :
  installation of package ‘GenomicAlignments’ had non-zero exit status
4: In install.packages(...) :
  installation of package ‘rtracklayer’ had non-zero exit status
5: In install.packages(...) :
  installation of package ‘GenomicFeatures’ had non-zero exit status
6: In install.packages(...) :
  installation of package ‘geneLenDataBase’ had non-zero exit status
7: In install.packages(...) :
  installation of package ‘goseq’ had non-zero exit status
8: In install.packages(update[instlib == l, "Package"], l, contriburl = contriburl,  :
  installation of package ‘jpeg’ had non-zero exit status
>
R Bioconductor Install • 324 views
ADD COMMENT
0
Entering edit mode

It looks like you are missing a system dependency for jpeg. I know on linux you would do something like sudo apt-get install libjpeg-dev. I don't have a mac but I think its something like brew install jpeg and not sure of windows.

ADD REPLY
0
Entering edit mode

I thank you for your help libjpeg-dev package is now got installed in my ubuntu system but the problem still persists.

ADD REPLY
0
Entering edit mode

Is there a different message ?

ADD REPLY
0
Entering edit mode

no, those previous errors are still there.

hts.c:46:10: fatal error: lzma.h: No such file or directory
   46 | #include <lzma.h>
      |          ^~~~~~~~
compilation terminated.
make[1]: Leaving directory '/tmp/Rtmp3JV7Sn/R.INSTALL4ffa547efc7a/Rhtslib/src/htslib-1.15.1'
make[1]: *** [Makefile.Rhtslib:135: hts.o] Error 1
make: *** [Makevars.common:22: htslib] Error 2
ERROR: compilation failed for package ‘Rhtslib’
* removing ‘/home/omic/R/x86_64-pc-linux-gnu-library/4.2/Rhtslib’
ERROR: dependency ‘Rhtslib’ is not available for package ‘Rsamtools’
* removing ‘/home/omic/R/x86_64-pc-linux-gnu-library/4.2/Rsamtools’
ERROR: dependency ‘Rsamtools’ is not available for package ‘GenomicAlignments’
* removing ‘/home/omic/R/x86_64-pc-linux-gnu-library/4.2/GenomicAlignments’
ERROR: dependencies ‘Rsamtools’, ‘GenomicAlignments’ are not available for package ‘rtracklayer’
* removing ‘/home/omic/R/x86_64-pc-linux-gnu-library/4.2/rtracklayer’
ERROR: dependency ‘rtracklayer’ is not available for package ‘GenomicFeatures’
* removing ‘/home/omic/R/x86_64-pc-linux-gnu-library/4.2/GenomicFeatures’
ERROR: dependencies ‘rtracklayer’, ‘GenomicFeatures’ are not available for package ‘geneLenDataBase’
* removing ‘/home/omic/R/x86_64-pc-linux-gnu-library/4.2/geneLenDataBase’
ERROR: dependency ‘geneLenDataBase’ is not available for package ‘goseq’
* removing ‘/home/omic/R/x86_64-pc-linux-gnu-library/4.2/goseq’

The downloaded source packages are in
    ‘/tmp/RtmpDANqzq/downloaded_packages’
Installation paths not writeable, unable to update packages
  path: /usr/lib/R/library
  packages:
    boot, foreign, MASS, Matrix, spatial
Old packages: 'jpeg'
Update all/some/none? [a/s/n]: 
a
trying URL 'https://cloud.r-project.org/src/contrib/jpeg_0.1-10.tar.gz'
Content type 'application/x-gzip' length 18667 bytes (18 KB)
==================================================
downloaded 18 KB

* installing *source* package ‘jpeg’ ...
** package ‘jpeg’ successfully unpacked and MD5 sums checked
** using staged installation
** libs
gcc -I"/usr/share/R/include" -DNDEBUG      -fpic  -g -O2 -fdebug-prefix-map=/build/r-base-a3XuZ5/r-base-4.2.2.20221110=. -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2  -c read.c -o read.o
gcc -I"/usr/share/R/include" -DNDEBUG      -fpic  -g -O2 -fdebug-prefix-map=/build/r-base-a3XuZ5/r-base-4.2.2.20221110=. -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2  -c reg.c -o reg.o
gcc -I"/usr/share/R/include" -DNDEBUG      -fpic  -g -O2 -fdebug-prefix-map=/build/r-base-a3XuZ5/r-base-4.2.2.20221110=. -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2  -c write.c -o write.o
gcc -shared -L/usr/lib/R/lib -Wl,-Bsymbolic-functions -Wl,-z,relro -o jpeg.so read.o reg.o write.o -ljpeg -L/usr/lib/R/lib -lR
installing to /home/omic/R/x86_64-pc-linux-gnu-library/4.2/00LOCK-jpeg/00new/jpeg/libs
** R
** inst
** byte-compile and prepare package for lazy loading
** help
*** installing help indices
** building package indices
** testing if installed package can be loaded from temporary location
** checking absolute paths in shared objects and dynamic libraries
** testing if installed package can be loaded from final location
** testing if installed package keeps a record of temporary installation path
* DONE (jpeg)

The downloaded source packages are in
    ‘/tmp/RtmpDANqzq/downloaded_packages’
Warning messages:
1: In install.packages(...) :
  installation of package ‘Rhtslib’ had non-zero exit status
2: In install.packages(...) :
  installation of package ‘Rsamtools’ had non-zero exit status
3: In install.packages(...) :
  installation of package ‘GenomicAlignments’ had non-zero exit status
4: In install.packages(...) :
  installation of package ‘rtracklayer’ had non-zero exit status
5: In install.packages(...) :
  installation of package ‘GenomicFeatures’ had non-zero exit status
6: In install.packages(...) :
  installation of package ‘geneLenDataBase’ had non-zero exit status
7: In install.packages(...) :
  installation of package ‘goseq’ had non-zero exit status
ADD REPLY
1
Entering edit mode

searching could be helpful --- lzma.h: No such file or directory means you are missing another system dependency that needs to be installed. apt-get install liblzma-dev

ADD REPLY
0
Entering edit mode

Thank you so much for showing me to look the pattern of the problem. I think now the package got installed.

ADD REPLY
0
Entering edit mode

No worries. If a different ERROR occurs please post the output here for further assistance.

ADD REPLY

Login before adding your answer.

Traffic: 631 users visited in the last hour
Help About
FAQ
Access RSS
API
Stats

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.

Powered by the version 2.3.6